%define anolis_release 1

# Created by pyp2rpm-3.3.2
%global pypi_name jaraco.functools
%global pkg_name jaraco-functools

Name:           python-%{pkg_name}
Version:        3.5.2
Release:        %{anolis_release}%{dist}

Summary:        Functools like those found in stdlib

License:        MIT
URL:            https://github.com/jaraco/jaraco.functools
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch

%description
Functools like those found in stdlib

%package -n python3-%{pkg_name}
Summary:       %{summary}

# python3-jaraco is an RPM-only namespace package for jaraco.*
# it does not exists on PyPI and does not provide python3dist(jaraco)
# DO NOT change this dependency to python3dist(jaraco) or similar
Requires:      python3-jaraco

BuildRequires:  python3-devel
BuildConflicts: python3dist(pytest) = 3.7.3
BuildRequires:  python3dist(jaraco-classes)
BuildRequires:  python3dist(pip) >= 3.4
BuildRequires:  python3dist(pytest) >= 3.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3-setuptools_scm

%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Functools like those found in stdlib

%package -n python-%{pkg_name}-doc
Summary:        jaraco-functools documentation
Requires:       python3-%{pkg_name} = %{EVR}
BuildArch:      noarch

%description -n python-%{pkg_name}-doc
Documentation for jaraco-functools

%prep
%autosetup -n jaraco.functools-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%check
%pytest

%generate_compatibility_deps

%files -n python3-%{pkg_name}
%license LICENSE
%{python3_sitelib}/jaraco/functools*
%{python3_sitelib}/jaraco/__pycache__/functools*
%{python3_sitelib}/jaraco.functools-%{version}.dist-info

%files -n python-%{pkg_name}-doc
%doc README.rst

%changelog
* Wed Mar 29 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.5.2-1
- Init package from upstream
